SOGo | BTS

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001031SOGoSOPEpublic2010-12-03 02:592011-03-30 14:22
Reporterbuzzdee 
Assigned Toludovic 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version1.3.4 
Target VersionFixed in Version1.3.6 
Summary0001031: fix compilation warnings in SOPE due to missing header files
DescriptionWithout attached patch, I get warnings like the one below when compiling SOPE. This is due to missing include of system headers. When including arpa/inet.h then netinet/in.h should be included before.

cc NSArray+enumerator.m -c \
              -MMD -MP -pipe -Wall -Wno-protocol -DGNUSTEP -DGNUSTEP_BASE_LIBRARY=1 -DGNU_RUNTIME=1 -DGNUSTEP_BASE_LIBRARY=1 -D_REENTRANT -fPIC -DDEBUG -fno-omit-frame-pointer -Wall -DGSWARN -DGSDIAGNOSE -Wno-import -O2 -pipe -g -fno-strict-aliasing -fgnu-runtime -fconstant-string-class=NSConstantString -I.. -I../NGStreams/ -I../../sope-xml -I. -I../NGExtensions/ -I.. -I../.. -I. -I/usr/local/include -I/SOPE-1.3.4_writes_to_HOME/GNUstep/Library/Headers -I/usr/local/include \
               -o obj/FdExt.obj/NSArray+enumerator.m.o
In file included from ../common.h:35,
                 from common.h:1,
                 from NSArray+enumerator.m:24:
/usr//include/arpa/inet.h:74: warning: 'struct in_addr' declared inside parameter list
/usr//include/arpa/inet.h:74: warning: its scope is only this definition or declaration, which is probably not what you want
/usr//include/arpa/inet.h:75: warning: 'struct in_addr' declared inside parameter list
Additional InformationI don't know whether those warnings also appear on Linux. If wanted, I could also update the patches to surround the inclusion of netinet/in.h with a #defined __OpenBSD__. At least what I know is that the header file exists on Linux.
TagsNo tags attached.
Attached Filesdiff file icon patch-include-netinet-in.h.diff [^] (571 bytes) 2010-12-03 02:59 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0002317)
wsourdeau (viewer)
2011-03-30 14:22

Fixed in 01aca3f61dbe0541db88ea9497a114cb2e10f039. Thanks!

- Issue History
Date Modified Username Field Change
2010-12-03 02:59 buzzdee New Issue
2010-12-03 02:59 buzzdee File Added: patch-include-netinet-in.h.diff
2011-02-15 17:02 ludovic Status new => assigned
2011-02-15 17:02 ludovic Assigned To => ludovic
2011-03-30 14:22 wsourdeau Note Added: 0002317
2011-03-30 14:22 wsourdeau Status assigned => resolved
2011-03-30 14:22 wsourdeau Fixed in Version => 1.3.6
2011-03-30 14:22 wsourdeau Resolution open => fixed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker